Skip to main content
`Ctrl`+`K`

# MATSEQAIJKOKKOS

MATAIJKOKKOS = “(seq)aijkokkos” - A matrix type to be used for sparse matrices with Kokkos A matrix type using Kokkos-Kernels CrsMatrix type for portability across different device types

## Options Database Key

- -mat_type aijkokkos - sets the matrix type to `MATSEQAIJKOKKOS` during a call to `MatSetFromOptions()`

## See Also

Matrices, `Mat`, `MatCreateSeqAIJKokkos()`, `MATMPIAIJKOKKOS`

## Level

beginner

## Location

src/mat/impls/aij/seq/kokkos/aijkok.kokkos.cxx

## Examples

src/mat/tutorials/ex18.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages